ForceFields::MMFF::StretchBendContrib Class Reference

The angle-bend term for MMFF. More...

`#include <StretchBend.h>`

Inheritance diagram for ForceFields::MMFF::StretchBendContrib:

## Public Member Functions

| StretchBendContrib ()
| StretchBendContrib (ForceField *owner, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, const MMFFStbn *mmffStbnParams, const MMFFAngle *mmffAngleParams, const MMFFBond *mmffBondParams1, const MMFFBond *mmffBondParams2)
| Constructor. More...
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position More...
StretchBendContrib * | copy () const override
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField More...

## Detailed Description

The angle-bend term for MMFF.

Definition at line 27 of file StretchBend.h.

## Constructor & Destructor Documentation

## StretchBendContrib() [1/2]

ForceFields::MMFF::StretchBendContrib::StretchBendContrib | ( |  | ) |

inline

Definition at line 29 of file StretchBend.h.

## StretchBendContrib() [2/2]

ForceFields::MMFF::StretchBendContrib::StretchBendContrib | ( | ForceField * | owner,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3,
|  | const MMFFStbn * | mmffStbnParams,
|  | const MMFFAngle * | mmffAngleParams,
|  | const MMFFBond * | mmffBondParams1,
|  | const MMFFBond * | mmffBondParams2
| ) |  |

Constructor.

The angle is between atom1 - atom2 - atom3

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  angleType | MMFF type of the angle (as an unsigned int)

## Member Function Documentation

## copy()

StretchBendContrib* ForceFields::MMFF::StretchBendContrib::copy | ( |  | ) | const

inline override virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 50 of file StretchBend.h.

## getEnergy()

double ForceFields::MMFF::StretchBendContrib::getEnergy | ( | double * | pos | ) | const

override virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## getGrad()

void ForceFields::MMFF::StretchBendContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

override virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- StretchBend.h